## kdiagram 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project( kdiagram )

set(QT_REQUIRED_VERSION "6.5.0")
set(KF_MIN_VERSION "5.245.0")
set(KF_MAJOR_VERSION "6")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(KDE_COMPILERSETTINGS_LEVEL 5.84)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMGeneratePriFile)
include(ECMPoQmTools)
include(ECMAddTests)

include(CMakePackageConfigHelpers)
include(CMakeDependentOption)
include(FeatureSummary)
include(GenerateExportHeader)

set(HAS_ECMAddQch TRUE)
include(ECMAddQch)

cmake_dependent_option(BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF
    "HAS_ECMAddQch" OFF
)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE
    COMPONENTS
    PrintSupport
    Svg
    Widgets
)
if(BUILD_TESTING)
    find_package(Qt6Test QUIET)
    if (NOT Qt6Test_FOUND)
        message(STATUS "Qt6Test not found, unit tests will not be built.")
    endif()
endif()

find_package(Qt6Sql QUIET)
if (NOT Qt6Sql_FOUND)
    message(STATUS "Qt5Sql not found, examples with SQL will not be built.")
endif()

# We want users of kdiagram libs to be able to use the lib without interference with Qt-specific keywords, e.g. "signals" that collides with Boost's Signals
add_definitions(
    -DQT_NO_KEYWORDS
    -Demit=
)
add_definitions(
    -DQT_NO_STL
    -DQT_FATAL_ASSERT
    -DUSE_EXCEPTIONS
)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050c00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055A00
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)


# TODO: port from .pro
#  NOMINMAX avoids conflicting definitions of min and max
#  _USE_MATH_DEFINES makes M_PI defined
# win32 {
# !win32-g++ {
#     DEFINES += NOMINMAX _USE_MATH_DEFINES
#     QMAKE_CXXFLAGS += /GR /EHsc /wd4251
# }
# }

# TODO: port g++.pri to cmake and check what is still needed


ecm_install_po_files_as_qm(poqm)

add_subdirectory( src )

if(BUILD_TESTING)
    add_subdirectory( examples )
    add_subdirectory( tests )

    if(Qt6Test_FOUND)
        add_subdirectory( qtests )
    endif()
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===
add_subdirectory( Gantt )

include_directories(
    ${CMAKE_SOURCE_DIR}/src/KChart
    ${CMAKE_SOURCE_DIR}/src/KChart/include
    ${CMAKE_SOURCE_DIR}/src/KChart/Cartesian
    ${CMAKE_SOURCE_DIR}/src/KChart/Cartesian/DiagramFlavors
    ${CMAKE_SOURCE_DIR}/src/KChart/Polar
    ${CMAKE_SOURCE_DIR}/src/KChart/Ternary
)
remove_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
)

# Disabled for Windows cause compiling the RootIndex and DelayedData samples
# with mingw or nmake results in a Q_ASSERT in qmake (cause QList.first()
# is used while the QList is empty, removing the required
# OBJECTS_DIR from the RootIndex.pro fixes it) if qmake was
# compiled with debug enabled or in a crash if not.
if(NOT WIN32)
    add_subdirectory( DelayedData )
    add_subdirectory( RootIndex )
endif()

=== examples/DrawIntoPainter/CMakeLists.txt ===
set(DrawIntoPainter_SRCS
    framewidget.cpp
    mainwindow.cpp
    framewidget.h
    mainwindow.h
    main.cpp
)

qt_wrap_ui(DrawIntoPainter_SRCS
    mainwindow.ui
)

qt_add_resources(DrawIntoPainter_SRCS
    DrawIntoPainter.qrc
)

add_executable(DrawIntoPainter  ${DrawIntoPainter_SRCS})

target_link_libraries(DrawIntoPainter testtools KChart6 Qt::Widgets Qt::PrintSupport)

=== examples/EmptyValues/CMakeLists.txt ===
set(EmptyValues_SRCS
    mainwindow.cpp
    mainwindow.h
    main.cpp
)

qt_add_resources(EmptyValues_SRCS
    BarChart.qrc
)

add_executable(EmptyValues  ${EmptyValues_SRCS})

target_link_libraries(EmptyValues testtools KChart6 Qt::Widgets)

=== examples/LeveyJennings/CMakeLists.txt ===
add_subdirectory(Simple)

=== examples/RealTime/CMakeLists.txt ===
add_executable(RealTime  main.cpp)

target_link_libraries(RealTime KChart6 Qt::Widgets)

=== examples/Sql/CMakeLists.txt ===
add_executable(Sql  main.cpp)

target_link_libraries(Sql KChart6 Qt::Widgets Qt::Sql)

=== examples/Widget/CMakeLists.txt ===
add_subdirectory(Advanced)
add_subdirectory(Parameters)
add_subdirectory(Simple)

=== examples/tools/CMakeLists.txt ===
set( testtools_LIB_SRCS
    TableModel.cpp
    TableModel.h
)

add_library(testtools SHARED ${testtools_LIB_SRCS})

generate_export_header( testtools )

target_link_libraries(testtools LINK_PRIVATE
    Qt::Core
)

=== qtests/AttributesModel/CMakeLists.txt ===
set(TestKChartAttributesModel_SRCS
    main.cpp
)

qt_add_resources(TestKChartAttributesModel_SRCS
    Data.qrc
)

ecm_add_test(
    ${TestKChartAttributesModel_SRCS}
    TEST_NAME TestKChartAttributesModel
    LINK_LIBRARIES testtools KChart6 Qt::Widgets Qt::Test
)

=== qtests/CartesianDiagramDataCompressor/CMakeLists.txt ===
ecm_add_test(
    CartesianDiagramDataCompressorTests.cpp
    TEST_NAME CartesianDiagramDataCompressorTests
    LINK_LIBRARIES KChart6 Qt::Widgets Qt::Test
)

=== qtests/CartesianPlanes/CMakeLists.txt ===
set(TestCartesianPlanes_SRCS
    main.cpp
)

qt_add_resources(TestCartesianPlanes_SRCS
    Data.qrc
)

ecm_add_test(
    ${TestCartesianPlanes_SRCS}
    TEST_NAME TestCartesianPlanes
    LINK_LIBRARIES testtools KChart6 Qt::Widgets Qt::Test
)

=== debian/changelog ===
kdiagram (3.0.1-4ubuntu2) questing; urgency=medium

  * Drop all delta to Debian now that tests on ppc64el build ok.
    Should be syncable on next debian upload.

 -- Rik Mills <rikmills@kde.org>  Sat, 06 Sep 2025 13:19:29 +0100

kdiagram (3.0.1-4ubuntu1) questing; urgency=medium

  * Do not build tests on Ubuntu for now. They FTBFS on ppc64el.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:13:37 +0100

kdiagram (3.0.1-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Make sure to always build the tests, as building them exposes certain
    symbols in the libraries (improves the fix for #1086765)
    - pass -DBUILD_TESTING=ON to cmake
    - drop patch unconditionally-build-tests-1086765.patch, no more needed
      now
  * Bump Standards-Version to 4.7.2, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Mark the xauth, and xvfb build dependencies as <!nocheck>, as they are
    needed only when running the test suite.
  * Update symbols files from the logs of buildds.

  [ Patrick Franz ]
  * Update d/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Apr 2025 07:58:36 +0200

kdiagram (3.0.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 23:09:04 +0100

kdiagram (3.0.1-2) experimental; urgency=medium

  * Team upload.

  [ Rebecca N. Palmer ]
  * Build (but do not run) tests in nocheck. (Closes: #1086765)
  * Update Homepage.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Dec 2024 21:53:13 +0100

kdiagram (3.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (3.0.1).
  * Add upstream signing key of Jonathan Riddell.
  * Make uscan use the OpenPGP signature when downloading the tarball.
  * Update build-deps and deps with the info from cmake.
  * New libraries libKChart6 and libKGantt6.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Mon, 23 Sep 2024 23:19:01 +0200

=== debian/control ===
Source: kdiagram
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends:
 cmake (>= 3.16),
 debhelper-compat (= 13),
 extra-cmake-modules (>= 6.3.0~),
 libxkbcommon-dev,
 pkgconf,
 qt6-base-dev (>= 6.5.0+dfsg~),
 qt6-svg-dev (>= 6.5.0~),
 qt6-tools-dev (>= 6.5.0~),
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdiagram.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiagram
Homepage: https://invent.kde.org/graphics/kdiagram

Package: libkchart-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkchart6-3 (= ${binary:Version}),
 qt6-base-dev (>= 6.5.0+dfsg~),
 qt6-svg-dev (>= 6.5.0~),
 ${misc:Depends}
Description: library for creating business charts (development files)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkchart6-3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libkchart-l10n (= ${binary:Version})
Description: library for creating business charts (shared library)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkchart-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library for creating business charts (translation)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains translations.

Package: libkgantt-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkgantt6-3 (= ${binary:Version}),
 qt6-base-dev (>= 6.5.0+dfsg~),
 ${misc:Depends}
Description: library for creating Gantt diagrams (development files)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkgantt6-3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libkgantt-l10n (= ${binary:Version})
Description: library for creating Gantt diagrams (shared library)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkgantt-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library for creating Gantt diagrams (translations)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains translations.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=ON

override_dh_auto_test-arch:
	xvfb-run -a dh_auto_test -a

# no tests for -indep
override_dh_auto_test-indep:

## kdiagram 3.0.1+p24.04+vstable+git20250926.0529

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20250926.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 05:29:35 +0000

kdiagram (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Jan 2024 12:48:07 +0000

kdiagram (3.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 30 Nov 2023 12:48:25 +0000

## kdiagram 3.0.1+p24.04+vstable+git20251003.0301

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20251003.0301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 03:02:00 +0000

## kdiagram 3.0.1+p24.04+vstable+git20251015.0805

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20251015.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:05:21 +0000

## kdiagram 3.0.1+p24.04+vstable+git20251019.0344

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project( kdiagram )
 
 set(QT_REQUIRED_VERSION "6.5.0")
-set(KF_MIN_VERSION "5.245.0")
+set(KF_MIN_VERSION "6.3.0")
 set(KF_MAJOR_VERSION "6")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -25,6 +25,7 @@
 include(CMakeDependentOption)
 include(FeatureSummary)
 include(GenerateExportHeader)
+include(ECMDeprecationSettings)
 
 set(HAS_ECMAddQch TRUE)
 include(ECMAddQch)
@@ -53,22 +54,15 @@
     message(STATUS "Qt5Sql not found, examples with SQL will not be built.")
 endif()
 
-# We want users of kdiagram libs to be able to use the lib without interference with Qt-specific keywords, e.g. "signals" that collides with Boost's Signals
-add_definitions(
-    -DQT_NO_KEYWORDS
-    -Demit=
-)
 add_definitions(
     -DQT_NO_STL
     -DQT_FATAL_ASSERT
     -DUSE_EXCEPTIONS
 )
 
-add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050c00
-    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055A00
-    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+ecm_set_disabled_deprecation_versions(
+    QT 6.9
+    KF 6.5.0
 )
 
 
@@ -98,4 +92,4 @@
     endif()
 endif()
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20251019.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:44:19 +0000

=== debian/control ===
Source: kdiagram
Section: libs
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://cgit.kde.org/kdiagram.git
Vcs-Git: https://invent.kde.org/neon/extras/kdiagram.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdiagram
Maintainer: Neon CI <neon@kde.org>

Package: libkchart6-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Breaks: libkchart-dev (<< 2.8.0)
Replaces: libkchart-dev (<< 2.8.0)
Depends: libkchart6-3 (= ${binary:Version}),
         qt6-base-dev,
         qt6-svg-dev,
         ${misc:Depends}
Description: library for creating business charts (development files)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkchart6-3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkchart-l10n (= ${binary:Version})
Breaks: libkchart2 (<< 2.8.0), libkchart2-l10n (<< 2.8.0)
Replaces: libkchart2 (<< 2.8.0), libkchart2-l10n (<< 2.8.0)
Description: library for creating business charts (shared library)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkgantt6-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Breaks: libkgantt-dev (<< 2.8.0)
Replaces: libkgantt-dev (<< 2.8.0)
Depends: libkgantt6-3 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: library for creating Gantt diagrams (development files)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkgantt6-3
Architecture: any
Multi-Arch: same
Recommends: libkgantt-l10n (= ${binary:Version})
Breaks: libkgantt2 (<< 2.8.0), libkgantt2-l10n (<< 2.8.0)
Replaces: libkgantt2 (<< 2.8.0), libkgantt2-l10n (<< 2.8.0)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for creating Gantt diagrams (shared library)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkchart-l10n
Architecture: all
Depends: libkchart6-3, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkgantt-l10n
Architecture: all
Depends: libkgantt6-3, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkchart-dev
Architecture: all
Depends: libkchart6-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkgantt-dev
Architecture: all
Depends: libkgantt6-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/@PACKAGE@/([\d\.]+)/@PACKAGE@-([\d\.]+)\.tar\.xz

## kdiagram 3.0.1+p24.04+vstable+git20251028.2130

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,11 @@
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(KDE_COMPILERSETTINGS_LEVEL 5.84)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEGitCommitHooks)
+include(KDEClangFormat)
 
 include(ECMGenerateHeaders)
 include(ECMSetupVersion)
@@ -51,7 +52,7 @@
 
 find_package(Qt6Sql QUIET)
 if (NOT Qt6Sql_FOUND)
-    message(STATUS "Qt5Sql not found, examples with SQL will not be built.")
+    message(STATUS "Qt6Sql not found, examples with SQL will not be built.")
 endif()
 
 add_definitions(
@@ -92,4 +93,9 @@
     endif()
 endif()
 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20251028.2130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 21:30:15 +0000

## kdiagram 3.0.1+p24.04+vstable+git20251203.0751

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20251203.0751-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 07:51:25 +0000

## kdiagram 3.0.1+p24.04+vunstable+git20251019.0022

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vunstable+git20251019.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:22:53 +0000

## kdiagram 3.0.1+p24.04+vunstable+git20251028.0933

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vunstable+git20251028.0933-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:33:17 +0000

## kdiagram 3.0.1+p24.04+vunstable+git20251130.0041

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vunstable+git20251130.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 00:41:41 +0000

## kdiagram 3.0.1+p24.04+vunstable+git20260201.0554

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vunstable+git20260201.0554-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:54:08 +0000
